.TH hpcdtoppm 1 " 8 October 1992"
.IX hpcdtoppm
.SH NAME
hpcdtoppm v0.1 - convert a Photo-CD file into a portable pixmap
.SH SYNOPSIS
.B hpcdtoppm
[options] pcd-file [ppm-file]
.SH DESCRIPTION
Reads a Photo-CD Image file or Overview file, and outputs portable pixmap.
Image files you can find on the Photo-CD in photo_cd/images, they are named
as "imgnnnn.pcd", where nnnn is a 4-digit-number. The Overview file is at
photo_cd/overview.pcd . If there is no ppm-file-name given, output will be
printed to stdout. hpcdtoppm stands for "Hadmut's pcdtoppm" to make it
distinguishable in case someone else is building the same thing and
calling it pcdtoppm.
.IX GIF
.SH OPTIONS
.TP
.B -i
Give some information from the fileheader to stderr. It works only for 
Image files. (It is not working correctly, just printing some strings.)
.TP
.B -s
Apply simple sharpness-operator on the Luma-channel.
.TP
.B -d
Do not show the complete image, but only the decompressed difference.
It works only on the 4Base and the 16Base resolution. It does not
have any deeper sense, but it was simple to implement and it shows what
causes different sizes of image files.
.TP
.B -r
Rotate the picture clockwise for portraits.
.TP
.B -l
Rotate the picture counter-clockwise for portraits.
.TP
.B -x
This option is not implemented yet.
.TP
.B -1 | -Base/16 | -128x192
Extract the Base/16 size picture (size 128x192 pixels). Note that you
can only give one size option.
.TP
.B -2 | -Base/4 | -256x384
Extract the Base/4 size picture.
.TP
.B -3 | -Base | -512x768
Extract the Base size picture.
.TP
.B -4 | -4Base | -1024x1536
Extract the 4Base size picture.
.TP
.B -5 | -16Base | -2048x3072
Extract the 16Base size picture.
.TP
.B -0 | -Overview | -O
Extract all pictures from an Overview file. A ppmfilename must be given. If the
given name is "foo", the files are named "foo.nnnn", where nnnn is a 4-digit number.
Since they are stored in Base/16 format, they are extracted in this format.

.PP

.SH BUGS
I still don't have enough information about the Photo-CD to
take care of all data structures. The informations i have are
quite vague and this program was developed by starring at the
hex-dumps and the famous trial-and-error-method. :-) If anything
doesn't work, please send me a report and perhaps you could try to
find out, why it doesn't work.
.SH "SEE ALSO"
ppm(5), ppmquant(1), ppmtopgm(1),xv(1)
.SH AUTHOR
Copyright (c) 1992 by Hadmut Danisch (danisch@ira.uka.de).
Permission to use and distribute this software and its
documentation for noncommercial use and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation. It is not allowed to sell this software in 
any way. This software is not public domain.
